Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232382 - anaconda adding unnecessary packages from distro
Summary: anaconda adding unnecessary packages from distro
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 04:37 UTC by Luke Meyer
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 18:37:55 UTC


Attachments (Terms of Use)

Description Luke Meyer 2007-03-15 04:37:06 UTC
Description of problem:
We have a custom distro based on RHEL4 U3.  The install image can produce
several different kickstarts so the set of packages is a superset of what is
needed on any one kickstart.

We are finding that anaconda is installing more RPMs than are in the package
list (e.g. ftp and nfs-utils).  These RPMs do not provide deps for anything
(they may be removed with rpm -e after install).  Worse, one RPM it's adding
actually conflicts with a legitimate RPM - we roll several RPMs with the same
files as redhat-release but anaconda insists on installing redhat-release and
one other of these RPMs in addition to the one in the package list, causing a
conflict (and indeterminacy as to which files are actually installed - depends
on which order anaconda picks).  

How reproducible:
Every time.

Steps to Reproduce:
Install our custom distro (we can provide if you'd like to test).

Actual results:
Difference in the package list from the kickstart file versus what was actually
installed.  Also rpm -Va shows a conflict on /etc/redhat-release

Basically, just want to know if this is a known problem, if you have any
suggestions, etc.

Comment 1 Jeremy Katz 2007-03-23 18:37:55 UTC
By default, we install the contents of the base and core groups.  An argument
(--nobase) was added to stop installing @base in an update release of RHEL4, but
there's no way to disable installation of the @core set of packages as those are
considered required to have a "valid" installation


Note You need to log in before you can comment on or make changes to this bug.